BuildRequires: xvfb-run
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Extract.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(HTML/FormatText.pm) perl(HTML/Parse.pm) perl(HTTP/Request.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Locale/Msgfmt.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Padre.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_name Padre-Plugin-WxWidgets
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: wxWidgets support for Padre
Group: Development/Perl
License: perl
URL: http://padre.perlide.org/trac/wiki/PadrePluginWxWidgets

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AZ/AZAWAWI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This provides basic development and documentation support for wxWidgets in the Padre manpage. Once installed,
Padre will be able to provide help search support for Wx classes.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%{expand:%%global __find_requires xvfb-run -a %__find_requires}

%files
%doc Changes
%perl_vendor_privlib/P*
%perl_vendor_privlib/auto/*

%changelog
* Wed Mar 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

